diff -Nurd libspatialite-4.3.0.orig/examples/Makefile.in libspatialite-4.3.0/examples/Makefile.in
--- libspatialite-4.3.0.orig/examples/Makefile.in	2015-07-01 02:59:16.000000000 -0400
+++ libspatialite-4.3.0/examples/Makefile.in	2021-01-14 09:51:33.000000000 -0500
@@ -320,7 +320,7 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 AM_CFLAGS = -I@srcdir@/../src/headers 
-AM_LDFLAGS = -L../src -lspatialite -lm $(GCOV_FLAGS)
+AM_LDFLAGS = ../src/libspatialite.la -lm $(GCOV_FLAGS)
 LDADD = @LIBXML2_LIBS@
 MOSTLYCLEANFILES = *.gcna *.gcno *.gcda
 EXTRA_DIST = examples.doxy
diff -Nurd libspatialite-4.3.0.orig/src/connection_cache/Makefile.in libspatialite-4.3.0/src/connection_cache/Makefile.in
--- libspatialite-4.3.0.orig/src/connection_cache/Makefile.in	2015-07-01 02:59:16.000000000 -0400
+++ libspatialite-4.3.0/src/connection_cache/Makefile.in	2021-01-14 10:34:38.000000000 -0500
@@ -355,13 +355,13 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 SUBDIRS = generator
-AM_CPPFLAGS = @CFLAGS@ @LIBXML2_CFLAGS@ -I$(top_srcdir)/src/headers
+AM_CPPFLAGS = @CFLAGS@ -I$(top_srcdir)/src/headers @LIBXML2_CFLAGS@ @GEOS_CFLAGS@
 noinst_HEADERS = cache_aux_1.h cache_aux_2.h cache_aux_3.h
 noinst_LTLIBRARIES = libconnection_cache.la connection_cache.la
 libconnection_cache_la_SOURCES = alloc_cache.c 
 connection_cache_la_SOURCES = alloc_cache.c 
-connection_cache_la_CPPFLAGS = @CFLAGS@ @LIBXML2_CFLAGS@ \
-	-I$(top_srcdir)/src/headers -I. -DLOADABLE_EXTENSION
+connection_cache_la_CPPFLAGS = @CFLAGS@ \
+	-I$(top_srcdir)/src/headers -I. -DLOADABLE_EXTENSION @LIBXML2_CFLAGS@ @GEOS_CFLAGS@
 connection_cache_la_LDFLAGS = -module
 connection_cache_la_LIBTOOLFLAGS = --tag=disable-static
 MOSTLYCLEANFILES = *.gcna *.gcno *.gcda
diff -Nurd libspatialite-4.3.0.orig/src/gaiageo/Makefile.in libspatialite-4.3.0/src/gaiageo/Makefile.in
--- libspatialite-4.3.0.orig/src/gaiageo/Makefile.in	2015-07-01 02:59:16.000000000 -0400
+++ libspatialite-4.3.0/src/gaiageo/Makefile.in	2021-01-14 09:55:29.000000000 -0500
@@ -366,8 +366,8 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 SUBDIRS = flex lemon
-AM_CPPFLAGS = @CFLAGS@ @GEOS_CFLAGS@ @LIBXML2_CFLAGS@ \
-	-I$(top_srcdir)/src/headers
+AM_CPPFLAGS = @CFLAGS@ \
+	-I$(top_srcdir)/src/headers @GEOS_CFLAGS@ @LIBXML2_CFLAGS@
 noinst_LTLIBRARIES = libgaiageo.la gaiageo.la
 GAIAGEO_COMMON_SOURCES = gg_advanced.c \
 	gg_endian.c \
@@ -393,8 +393,8 @@
 
 libgaiageo_la_SOURCES = $(GAIAGEO_COMMON_SOURCES)
 gaiageo_la_SOURCES = $(GAIAGEO_COMMON_SOURCES)
-gaiageo_la_CPPFLAGS = @CFLAGS@ @GEOS_CFLAGS@ @LIBXML2_CFLAGS@ \
-	-I$(top_srcdir)/src/headers -I. -DLOADABLE_EXTENSION
+gaiageo_la_CPPFLAGS = @CFLAGS@ \
+	-I$(top_srcdir)/src/headers -I. -DLOADABLE_EXTENSION @GEOS_CFLAGS@ @LIBXML2_CFLAGS@
 gaiageo_la_LDFLAGS = -module
 gaiageo_la_LIBTOOLFLAGS = --tag=disable-static
 MOSTLYCLEANFILES = *.gcna *.gcno *.gcda
diff -Nurd libspatialite-4.3.0.orig/src/spatialite/Makefile.in libspatialite-4.3.0/src/spatialite/Makefile.in
--- libspatialite-4.3.0.orig/src/spatialite/Makefile.in	2015-07-01 02:59:16.000000000 -0400
+++ libspatialite-4.3.0/src/spatialite/Makefile.in	2021-01-14 10:08:15.000000000 -0500
@@ -329,8 +329,8 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CPPFLAGS = @CFLAGS@ @GEOS_CFLAGS@ @LIBXML2_CFLAGS@ \
-	-I$(top_srcdir)/src/headers
+AM_CPPFLAGS = @CFLAGS@ \
+	-I$(top_srcdir)/src/headers @GEOS_CFLAGS@ @LIBXML2_CFLAGS@
 noinst_LTLIBRARIES = libsplite.la splite.la
 SPATIALITE_COMMON_SOURCES = mbrcache.c \
 	spatialite.c \
@@ -355,9 +355,9 @@
 libsplite_la_SOURCES = $(SPATIALITE_COMMON_SOURCES)
 libsplite_la_CFLAGS = -fvisibility=hidden
 splite_la_SOURCES = $(SPATIALITE_COMMON_SOURCES)
-splite_la_CPPFLAGS = @CFLAGS@ @GEOS_CFLAGS@ @LIBXML2_CFLAGS@ \
+splite_la_CPPFLAGS = @CFLAGS@ \
 	-I$(top_srcdir)/src/headers -I. -DLOADABLE_EXTENSION \
-	-fvisibility=hidden
+	-fvisibility=hidden @GEOS_CFLAGS@ @LIBXML2_CFLAGS@
 splite_la_LDFLAGS = -module
 splite_la_LIBTOOLFLAGS = --tag=disable-static
 MOSTLYCLEANFILES = *.gcna *.gcno *.gcda
diff -Nurd libspatialite-4.3.0.orig/src/wfs/Makefile.in libspatialite-4.3.0/src/wfs/Makefile.in
--- libspatialite-4.3.0.orig/src/wfs/Makefile.in	2015-07-01 02:59:16.000000000 -0400
+++ libspatialite-4.3.0/src/wfs/Makefile.in	2021-01-14 09:54:00.000000000 -0500
@@ -306,12 +306,12 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AM_CPPFLAGS = @CFLAGS@ @LIBXML2_CFLAGS@ -I$(top_srcdir)/src/headers
+AM_CPPFLAGS = @CFLAGS@ -I$(top_srcdir)/src/headers @LIBXML2_CFLAGS@
 noinst_LTLIBRARIES = libwfs.la wfs.la
 libwfs_la_SOURCES = wfs_in.c
 wfs_la_SOURCES = wfs_in.c
-wfs_la_CPPFLAGS = @CFLAGS@ @LIBXML2_CFLAGS@ \
-	-I$(top_srcdir)/src/headers -I. -DLOADABLE_EXTENSION
+wfs_la_CPPFLAGS = @CFLAGS@ \
+	-I$(top_srcdir)/src/headers -I. -DLOADABLE_EXTENSION @LIBXML2_CFLAGS@
 wfs_la_LDFLAGS = -module
 wfs_la_LIBTOOLFLAGS = --tag=disable-static
 MOSTLYCLEANFILES = *.gcna *.gcno *.gcda
diff -Nurd libspatialite-4.3.0.orig/test/Makefile.in libspatialite-4.3.0/test/Makefile.in
--- libspatialite-4.3.0.orig/test/Makefile.in	2015-07-01 02:59:16.000000000 -0400
+++ libspatialite-4.3.0/test/Makefile.in	2021-01-14 09:51:20.000000000 -0500
@@ -996,8 +996,8 @@
 top_srcdir = @top_srcdir@
 AM_CPPFLAGS = @CFLAGS@ @GEOS_CFLAGS@ @LIBXML2_CFLAGS@
 AM_CFLAGS = -I@srcdir@/../src/headers -I@srcdir@
-@MINGW_FALSE@AM_LDFLAGS = -L../src -lpthread -lspatialite -lm -lxml2 $(GCOV_FLAGS)
-@MINGW_TRUE@AM_LDFLAGS = -L../src -lspatialite -lm -lxml2 $(GCOV_FLAGS)
+@MINGW_FALSE@AM_LDFLAGS = -lpthread ../src/libspatialite.la -lm -lxml2 $(GCOV_FLAGS)
+@MINGW_TRUE@AM_LDFLAGS = ../src/libspatialite.la -lm -lxml2 $(GCOV_FLAGS)
 TESTS = $(check_PROGRAMS)
 MOSTLYCLEANFILES = *.gcna *.gcno *.gcda
 EXTRA_DIST = asprintf4win.h \
